Makefile.in 38 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118
  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. build_triplet = @build@
  85. host_triplet = @host@
  86. noinst_PROGRAMS = bandwidth-server-one$(EXEEXT) \
  87. bandwidth-server-many-up$(EXEEXT) bandwidth-client$(EXEEXT) \
  88. random-test-server$(EXEEXT) random-test-client$(EXEEXT) \
  89. unit-test-server$(EXEEXT) unit-test-client$(EXEEXT) \
  90. version$(EXEEXT)
  91. subdir = tests
  92. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  93. am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
  94. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  95. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  96. $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
  97. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  98. $(ACLOCAL_M4)
  99. DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  100. mkinstalldirs = $(install_sh) -d
  101. CONFIG_HEADER = $(top_builddir)/config.h unit-test.h
  102. CONFIG_CLEAN_FILES =
  103. CONFIG_CLEAN_VPATH_FILES =
  104. PROGRAMS = $(noinst_PROGRAMS)
  105. am_bandwidth_client_OBJECTS = bandwidth-client.$(OBJEXT)
  106. bandwidth_client_OBJECTS = $(am_bandwidth_client_OBJECTS)
  107. bandwidth_client_DEPENDENCIES = $(common_ldflags)
  108. AM_V_lt = $(am__v_lt_@AM_V@)
  109. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  110. am__v_lt_0 = --silent
  111. am__v_lt_1 =
  112. am_bandwidth_server_many_up_OBJECTS = \
  113. bandwidth-server-many-up.$(OBJEXT)
  114. bandwidth_server_many_up_OBJECTS = \
  115. $(am_bandwidth_server_many_up_OBJECTS)
  116. bandwidth_server_many_up_DEPENDENCIES = $(common_ldflags)
  117. am_bandwidth_server_one_OBJECTS = bandwidth-server-one.$(OBJEXT)
  118. bandwidth_server_one_OBJECTS = $(am_bandwidth_server_one_OBJECTS)
  119. bandwidth_server_one_DEPENDENCIES = $(common_ldflags)
  120. am_random_test_client_OBJECTS = random-test-client.$(OBJEXT)
  121. random_test_client_OBJECTS = $(am_random_test_client_OBJECTS)
  122. random_test_client_DEPENDENCIES = $(common_ldflags)
  123. am_random_test_server_OBJECTS = random-test-server.$(OBJEXT)
  124. random_test_server_OBJECTS = $(am_random_test_server_OBJECTS)
  125. random_test_server_DEPENDENCIES = $(common_ldflags)
  126. am_unit_test_client_OBJECTS = unit-test-client.$(OBJEXT)
  127. unit_test_client_OBJECTS = $(am_unit_test_client_OBJECTS)
  128. unit_test_client_DEPENDENCIES = $(common_ldflags)
  129. am_unit_test_server_OBJECTS = unit-test-server.$(OBJEXT)
  130. unit_test_server_OBJECTS = $(am_unit_test_server_OBJECTS)
  131. unit_test_server_DEPENDENCIES = $(common_ldflags)
  132. am_version_OBJECTS = version.$(OBJEXT)
  133. version_OBJECTS = $(am_version_OBJECTS)
  134. version_DEPENDENCIES = $(common_ldflags)
  135. SCRIPTS = $(noinst_SCRIPTS)
  136. AM_V_P = $(am__v_P_@AM_V@)
  137. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  138. am__v_P_0 = false
  139. am__v_P_1 = :
  140. AM_V_GEN = $(am__v_GEN_@AM_V@)
  141. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  142. am__v_GEN_0 = @echo " GEN " $@;
  143. am__v_GEN_1 =
  144. AM_V_at = $(am__v_at_@AM_V@)
  145. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  146. am__v_at_0 = @
  147. am__v_at_1 =
  148. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  149. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  150. am__maybe_remake_depfiles = depfiles
  151. am__depfiles_remade = ./$(DEPDIR)/bandwidth-client.Po \
  152. ./$(DEPDIR)/bandwidth-server-many-up.Po \
  153. ./$(DEPDIR)/bandwidth-server-one.Po \
  154. ./$(DEPDIR)/random-test-client.Po \
  155. ./$(DEPDIR)/random-test-server.Po \
  156. ./$(DEPDIR)/unit-test-client.Po \
  157. ./$(DEPDIR)/unit-test-server.Po ./$(DEPDIR)/version.Po
  158. am__mv = mv -f
  159. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  160. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  161. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  162. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  163. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  164. $(AM_CFLAGS) $(CFLAGS)
  165. AM_V_CC = $(am__v_CC_@AM_V@)
  166. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  167. am__v_CC_0 = @echo " CC " $@;
  168. am__v_CC_1 =
  169. CCLD = $(CC)
  170. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  171. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  172. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  173. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  174. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  175. am__v_CCLD_0 = @echo " CCLD " $@;
  176. am__v_CCLD_1 =
  177. SOURCES = $(bandwidth_client_SOURCES) \
  178. $(bandwidth_server_many_up_SOURCES) \
  179. $(bandwidth_server_one_SOURCES) $(random_test_client_SOURCES) \
  180. $(random_test_server_SOURCES) $(unit_test_client_SOURCES) \
  181. $(unit_test_server_SOURCES) $(version_SOURCES)
  182. DIST_SOURCES = $(bandwidth_client_SOURCES) \
  183. $(bandwidth_server_many_up_SOURCES) \
  184. $(bandwidth_server_one_SOURCES) $(random_test_client_SOURCES) \
  185. $(random_test_server_SOURCES) $(unit_test_client_SOURCES) \
  186. $(unit_test_server_SOURCES) $(version_SOURCES)
  187. am__can_run_installinfo = \
  188. case $$AM_UPDATE_INFO_DIR in \
  189. n|no|NO) false;; \
  190. *) (install-info --version) >/dev/null 2>&1;; \
  191. esac
  192. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  193. $(LISP)unit-test.h.in
  194. # Read a list of newline-separated strings from the standard input,
  195. # and print each of them once, without duplicates. Input order is
  196. # *not* preserved.
  197. am__uniquify_input = $(AWK) '\
  198. BEGIN { nonempty = 0; } \
  199. { items[$$0] = 1; nonempty = 1; } \
  200. END { if (nonempty) { for (i in items) print i; }; } \
  201. '
  202. # Make sure the list of sources is unique. This is necessary because,
  203. # e.g., the same source file might be shared among _SOURCES variables
  204. # for different programs/libraries.
  205. am__define_uniq_tagged_files = \
  206. list='$(am__tagged_files)'; \
  207. unique=`for i in $$list; do \
  208. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  209. done | $(am__uniquify_input)`
  210. ETAGS = etags
  211. CTAGS = ctags
  212. am__tty_colors_dummy = \
  213. mgn= red= grn= lgn= blu= brg= std=; \
  214. am__color_tests=no
  215. am__tty_colors = { \
  216. $(am__tty_colors_dummy); \
  217. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  218. am__color_tests=no; \
  219. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  220. am__color_tests=yes; \
  221. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  222. am__color_tests=yes; \
  223. fi; \
  224. if test $$am__color_tests = yes; then \
  225. red=''; \
  226. grn=''; \
  227. lgn=''; \
  228. blu=''; \
  229. mgn=''; \
  230. brg=''; \
  231. std=''; \
  232. fi; \
  233. }
  234. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  235. am__vpath_adj = case $$p in \
  236. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  237. *) f=$$p;; \
  238. esac;
  239. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  240. am__install_max = 40
  241. am__nobase_strip_setup = \
  242. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  243. am__nobase_strip = \
  244. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  245. am__nobase_list = $(am__nobase_strip_setup); \
  246. for p in $$list; do echo "$$p $$p"; done | \
  247. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  248. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  249. if (++n[$$2] == $(am__install_max)) \
  250. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  251. END { for (dir in files) print dir, files[dir] }'
  252. am__base_list = \
  253. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  254. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  255. am__uninstall_files_from_dir = { \
  256. test -z "$$files" \
  257. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  258. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  259. $(am__cd) "$$dir" && rm -f $$files; }; \
  260. }
  261. am__recheck_rx = ^[ ]*:recheck:[ ]*
  262. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  263. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  264. # A command that, given a newline-separated list of test names on the
  265. # standard input, print the name of the tests that are to be re-run
  266. # upon "make recheck".
  267. am__list_recheck_tests = $(AWK) '{ \
  268. recheck = 1; \
  269. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  270. { \
  271. if (rc < 0) \
  272. { \
  273. if ((getline line2 < ($$0 ".log")) < 0) \
  274. recheck = 0; \
  275. break; \
  276. } \
  277. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  278. { \
  279. recheck = 0; \
  280. break; \
  281. } \
  282. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  283. { \
  284. break; \
  285. } \
  286. }; \
  287. if (recheck) \
  288. print $$0; \
  289. close ($$0 ".trs"); \
  290. close ($$0 ".log"); \
  291. }'
  292. # A command that, given a newline-separated list of test names on the
  293. # standard input, create the global log from their .trs and .log files.
  294. am__create_global_log = $(AWK) ' \
  295. function fatal(msg) \
  296. { \
  297. print "fatal: making $@: " msg | "cat >&2"; \
  298. exit 1; \
  299. } \
  300. function rst_section(header) \
  301. { \
  302. print header; \
  303. len = length(header); \
  304. for (i = 1; i <= len; i = i + 1) \
  305. printf "="; \
  306. printf "\n\n"; \
  307. } \
  308. { \
  309. copy_in_global_log = 1; \
  310. global_test_result = "RUN"; \
  311. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  312. { \
  313. if (rc < 0) \
  314. fatal("failed to read from " $$0 ".trs"); \
  315. if (line ~ /$(am__global_test_result_rx)/) \
  316. { \
  317. sub("$(am__global_test_result_rx)", "", line); \
  318. sub("[ ]*$$", "", line); \
  319. global_test_result = line; \
  320. } \
  321. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  322. copy_in_global_log = 0; \
  323. }; \
  324. if (copy_in_global_log) \
  325. { \
  326. rst_section(global_test_result ": " $$0); \
  327. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  328. { \
  329. if (rc < 0) \
  330. fatal("failed to read from " $$0 ".log"); \
  331. print line; \
  332. }; \
  333. printf "\n"; \
  334. }; \
  335. close ($$0 ".trs"); \
  336. close ($$0 ".log"); \
  337. }'
  338. # Restructured Text title.
  339. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  340. # Solaris 10 'make', and several other traditional 'make' implementations,
  341. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  342. # by disabling -e (using the XSI extension "set +e") if it's set.
  343. am__sh_e_setup = case $$- in *e*) set +e;; esac
  344. # Default flags passed to test drivers.
  345. am__common_driver_flags = \
  346. --color-tests "$$am__color_tests" \
  347. --enable-hard-errors "$$am__enable_hard_errors" \
  348. --expect-failure "$$am__expect_failure"
  349. # To be inserted before the command running the test. Creates the
  350. # directory for the log if needed. Stores in $dir the directory
  351. # containing $f, in $tst the test, in $log the log. Executes the
  352. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  353. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  354. # will run the test scripts (or their associated LOG_COMPILER, if
  355. # thy have one).
  356. am__check_pre = \
  357. $(am__sh_e_setup); \
  358. $(am__vpath_adj_setup) $(am__vpath_adj) \
  359. $(am__tty_colors); \
  360. srcdir=$(srcdir); export srcdir; \
  361. case "$@" in \
  362. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  363. *) am__odir=.;; \
  364. esac; \
  365. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  366. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  367. if test -f "./$$f"; then dir=./; \
  368. elif test -f "$$f"; then dir=; \
  369. else dir="$(srcdir)/"; fi; \
  370. tst=$$dir$$f; log='$@'; \
  371. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  372. am__enable_hard_errors=no; \
  373. else \
  374. am__enable_hard_errors=yes; \
  375. fi; \
  376. case " $(XFAIL_TESTS) " in \
  377. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  378. am__expect_failure=yes;; \
  379. *) \
  380. am__expect_failure=no;; \
  381. esac; \
  382. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  383. # A shell command to get the names of the tests scripts with any registered
  384. # extension removed (i.e., equivalently, the names of the test logs, with
  385. # the '.log' extension removed). The result is saved in the shell variable
  386. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  387. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  388. # since that might cause problem with VPATH rewrites for suffix-less tests.
  389. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  390. am__set_TESTS_bases = \
  391. bases='$(TEST_LOGS)'; \
  392. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  393. bases=`echo $$bases`
  394. RECHECK_LOGS = $(TEST_LOGS)
  395. AM_RECURSIVE_TARGETS = check recheck
  396. TEST_SUITE_LOG = test-suite.log
  397. TEST_EXTENSIONS = @EXEEXT@ .test
  398. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  399. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  400. am__set_b = \
  401. case '$@' in \
  402. */*) \
  403. case '$*' in \
  404. */*) b='$*';; \
  405. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  406. esac;; \
  407. *) \
  408. b='$*';; \
  409. esac
  410. am__test_logs1 = $(TESTS:=.log)
  411. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  412. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  413. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  414. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  415. $(TEST_LOG_FLAGS)
  416. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/unit-test.h.in \
  417. $(top_srcdir)/build-aux/depcomp \
  418. $(top_srcdir)/build-aux/test-driver
  419. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  420. ACLOCAL = @ACLOCAL@
  421. AMTAR = @AMTAR@
  422. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  423. AR = @AR@
  424. AS = @AS@
  425. AUTOCONF = @AUTOCONF@
  426. AUTOHEADER = @AUTOHEADER@
  427. AUTOMAKE = @AUTOMAKE@
  428. AWK = @AWK@
  429. CC = @CC@
  430. CCDEPMODE = @CCDEPMODE@
  431. CFLAGS = @CFLAGS@
  432. CPP = @CPP@
  433. CPPFLAGS = @CPPFLAGS@
  434. CXX = @CXX@
  435. CXXCPP = @CXXCPP@
  436. CXXDEPMODE = @CXXDEPMODE@
  437. CXXFLAGS = @CXXFLAGS@
  438. CYGPATH_W = @CYGPATH_W@
  439. DEFS = @DEFS@
  440. DEPDIR = @DEPDIR@
  441. DLLTOOL = @DLLTOOL@
  442. DSYMUTIL = @DSYMUTIL@
  443. DUMPBIN = @DUMPBIN@
  444. ECHO_C = @ECHO_C@
  445. ECHO_N = @ECHO_N@
  446. ECHO_T = @ECHO_T@
  447. EGREP = @EGREP@
  448. EXEEXT = @EXEEXT@
  449. FGREP = @FGREP@
  450. GREP = @GREP@
  451. INSTALL = @INSTALL@
  452. INSTALL_DATA = @INSTALL_DATA@
  453. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  454. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  455. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  456. LD = @LD@
  457. LDFLAGS = @LDFLAGS@
  458. LIBMODBUS_LT_VERSION_INFO = @LIBMODBUS_LT_VERSION_INFO@
  459. LIBMODBUS_VERSION = @LIBMODBUS_VERSION@
  460. LIBMODBUS_VERSION_MAJOR = @LIBMODBUS_VERSION_MAJOR@
  461. LIBMODBUS_VERSION_MICRO = @LIBMODBUS_VERSION_MICRO@
  462. LIBMODBUS_VERSION_MINOR = @LIBMODBUS_VERSION_MINOR@
  463. LIBOBJS = @LIBOBJS@
  464. LIBS = @LIBS@
  465. LIBTOOL = @LIBTOOL@
  466. LIPO = @LIPO@
  467. LN_S = @LN_S@
  468. LTLIBOBJS = @LTLIBOBJS@
  469. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  470. MAKEINFO = @MAKEINFO@
  471. MANIFEST_TOOL = @MANIFEST_TOOL@
  472. MKDIR_P = @MKDIR_P@
  473. NM = @NM@
  474. NMEDIT = @NMEDIT@
  475. OBJDUMP = @OBJDUMP@
  476. OBJEXT = @OBJEXT@
  477. OTOOL = @OTOOL@
  478. OTOOL64 = @OTOOL64@
  479. PACKAGE = @PACKAGE@
  480. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  481. PACKAGE_NAME = @PACKAGE_NAME@
  482. PACKAGE_STRING = @PACKAGE_STRING@
  483. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  484. PACKAGE_URL = @PACKAGE_URL@
  485. PACKAGE_VERSION = @PACKAGE_VERSION@
  486. PATH_SEPARATOR = @PATH_SEPARATOR@
  487. RANLIB = @RANLIB@
  488. SED = @SED@
  489. SET_MAKE = @SET_MAKE@
  490. SHELL = @SHELL@
  491. STRIP = @STRIP@
  492. VERSION = @VERSION@
  493. abs_builddir = @abs_builddir@
  494. abs_srcdir = @abs_srcdir@
  495. abs_top_builddir = @abs_top_builddir@
  496. abs_top_srcdir = @abs_top_srcdir@
  497. ac_ct_AR = @ac_ct_AR@
  498. ac_ct_CC = @ac_ct_CC@
  499. ac_ct_CXX = @ac_ct_CXX@
  500. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  501. ac_libmodbus_have_asciidoc = @ac_libmodbus_have_asciidoc@
  502. ac_libmodbus_have_xmlto = @ac_libmodbus_have_xmlto@
  503. am__include = @am__include@
  504. am__leading_dot = @am__leading_dot@
  505. am__quote = @am__quote@
  506. am__tar = @am__tar@
  507. am__untar = @am__untar@
  508. bindir = @bindir@
  509. build = @build@
  510. build_alias = @build_alias@
  511. build_cpu = @build_cpu@
  512. build_os = @build_os@
  513. build_vendor = @build_vendor@
  514. builddir = @builddir@
  515. datadir = @datadir@
  516. datarootdir = @datarootdir@
  517. docdir = @docdir@
  518. dvidir = @dvidir@
  519. exec_prefix = @exec_prefix@
  520. host = @host@
  521. host_alias = @host_alias@
  522. host_cpu = @host_cpu@
  523. host_os = @host_os@
  524. host_vendor = @host_vendor@
  525. htmldir = @htmldir@
  526. includedir = @includedir@
  527. infodir = @infodir@
  528. install_sh = @install_sh@
  529. libdir = @libdir@
  530. libexecdir = @libexecdir@
  531. localedir = @localedir@
  532. localstatedir = @localstatedir@
  533. mandir = @mandir@
  534. mkdir_p = @mkdir_p@
  535. my_CFLAGS = @my_CFLAGS@
  536. oldincludedir = @oldincludedir@
  537. pdfdir = @pdfdir@
  538. prefix = @prefix@
  539. program_transform_name = @program_transform_name@
  540. psdir = @psdir@
  541. sbindir = @sbindir@
  542. sharedstatedir = @sharedstatedir@
  543. srcdir = @srcdir@
  544. sysconfdir = @sysconfdir@
  545. target_alias = @target_alias@
  546. top_build_prefix = @top_build_prefix@
  547. top_builddir = @top_builddir@
  548. top_srcdir = @top_srcdir@
  549. EXTRA_DIST = README.md unit-tests.sh
  550. common_ldflags = \
  551. $(top_builddir)/src/libmodbus.la
  552. bandwidth_server_one_SOURCES = bandwidth-server-one.c
  553. bandwidth_server_one_LDADD = $(common_ldflags)
  554. bandwidth_server_many_up_SOURCES = bandwidth-server-many-up.c
  555. bandwidth_server_many_up_LDADD = $(common_ldflags)
  556. bandwidth_client_SOURCES = bandwidth-client.c
  557. bandwidth_client_LDADD = $(common_ldflags)
  558. random_test_server_SOURCES = random-test-server.c
  559. random_test_server_LDADD = $(common_ldflags)
  560. random_test_client_SOURCES = random-test-client.c
  561. random_test_client_LDADD = $(common_ldflags)
  562. unit_test_server_SOURCES = unit-test-server.c unit-test.h
  563. unit_test_server_LDADD = $(common_ldflags)
  564. unit_test_client_SOURCES = unit-test-client.c unit-test.h
  565. unit_test_client_LDADD = $(common_ldflags)
  566. version_SOURCES = version.c
  567. version_LDADD = $(common_ldflags)
  568. AM_CPPFLAGS = \
  569. -include $(top_builddir)/config.h \
  570. -DSYSCONFDIR=\""$(sysconfdir)"\" \
  571. -DLIBEXECDIR=\""$(libexecdir)"\" \
  572. -I${top_srcdir}/src \
  573. -I${top_builddir}/src
  574. AM_CFLAGS = ${my_CFLAGS}
  575. CLEANFILES = *~ *.log
  576. noinst_SCRIPTS = unit-tests.sh
  577. TESTS = ./unit-tests.sh
  578. all: unit-test.h
  579. $(MAKE) $(AM_MAKEFLAGS) all-am
  580. .SUFFIXES:
  581. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  582. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  583. @for dep in $?; do \
  584. case '$(am__configure_deps)' in \
  585. *$$dep*) \
  586. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  587. && { if test -f $@; then exit 0; else break; fi; }; \
  588. exit 1;; \
  589. esac; \
  590. done; \
  591. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
  592. $(am__cd) $(top_srcdir) && \
  593. $(AUTOMAKE) --foreign tests/Makefile
  594. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  595. @case '$?' in \
  596. *config.status*) \
  597. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  598. *) \
  599. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  600. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  601. esac;
  602. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  603. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  604. $(top_srcdir)/configure: $(am__configure_deps)
  605. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  606. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  607. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  608. $(am__aclocal_m4_deps):
  609. unit-test.h: stamp-h2
  610. @test -f $@ || rm -f stamp-h2
  611. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h2
  612. stamp-h2: $(srcdir)/unit-test.h.in $(top_builddir)/config.status
  613. @rm -f stamp-h2
  614. cd $(top_builddir) && $(SHELL) ./config.status tests/unit-test.h
  615. distclean-hdr:
  616. -rm -f unit-test.h stamp-h2
  617. clean-noinstPROGRAMS:
  618. @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
  619. echo " rm -f" $$list; \
  620. rm -f $$list || exit $$?; \
  621. test -n "$(EXEEXT)" || exit 0; \
  622. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  623. echo " rm -f" $$list; \
  624. rm -f $$list
  625. bandwidth-client$(EXEEXT): $(bandwidth_client_OBJECTS) $(bandwidth_client_DEPENDENCIES) $(EXTRA_bandwidth_client_DEPENDENCIES)
  626. @rm -f bandwidth-client$(EXEEXT)
  627. $(AM_V_CCLD)$(LINK) $(bandwidth_client_OBJECTS) $(bandwidth_client_LDADD) $(LIBS)
  628. bandwidth-server-many-up$(EXEEXT): $(bandwidth_server_many_up_OBJECTS) $(bandwidth_server_many_up_DEPENDENCIES) $(EXTRA_bandwidth_server_many_up_DEPENDENCIES)
  629. @rm -f bandwidth-server-many-up$(EXEEXT)
  630. $(AM_V_CCLD)$(LINK) $(bandwidth_server_many_up_OBJECTS) $(bandwidth_server_many_up_LDADD) $(LIBS)
  631. bandwidth-server-one$(EXEEXT): $(bandwidth_server_one_OBJECTS) $(bandwidth_server_one_DEPENDENCIES) $(EXTRA_bandwidth_server_one_DEPENDENCIES)
  632. @rm -f bandwidth-server-one$(EXEEXT)
  633. $(AM_V_CCLD)$(LINK) $(bandwidth_server_one_OBJECTS) $(bandwidth_server_one_LDADD) $(LIBS)
  634. random-test-client$(EXEEXT): $(random_test_client_OBJECTS) $(random_test_client_DEPENDENCIES) $(EXTRA_random_test_client_DEPENDENCIES)
  635. @rm -f random-test-client$(EXEEXT)
  636. $(AM_V_CCLD)$(LINK) $(random_test_client_OBJECTS) $(random_test_client_LDADD) $(LIBS)
  637. random-test-server$(EXEEXT): $(random_test_server_OBJECTS) $(random_test_server_DEPENDENCIES) $(EXTRA_random_test_server_DEPENDENCIES)
  638. @rm -f random-test-server$(EXEEXT)
  639. $(AM_V_CCLD)$(LINK) $(random_test_server_OBJECTS) $(random_test_server_LDADD) $(LIBS)
  640. unit-test-client$(EXEEXT): $(unit_test_client_OBJECTS) $(unit_test_client_DEPENDENCIES) $(EXTRA_unit_test_client_DEPENDENCIES)
  641. @rm -f unit-test-client$(EXEEXT)
  642. $(AM_V_CCLD)$(LINK) $(unit_test_client_OBJECTS) $(unit_test_client_LDADD) $(LIBS)
  643. unit-test-server$(EXEEXT): $(unit_test_server_OBJECTS) $(unit_test_server_DEPENDENCIES) $(EXTRA_unit_test_server_DEPENDENCIES)
  644. @rm -f unit-test-server$(EXEEXT)
  645. $(AM_V_CCLD)$(LINK) $(unit_test_server_OBJECTS) $(unit_test_server_LDADD) $(LIBS)
  646. version$(EXEEXT): $(version_OBJECTS) $(version_DEPENDENCIES) $(EXTRA_version_DEPENDENCIES)
  647. @rm -f version$(EXEEXT)
  648. $(AM_V_CCLD)$(LINK) $(version_OBJECTS) $(version_LDADD) $(LIBS)
  649. mostlyclean-compile:
  650. -rm -f *.$(OBJEXT)
  651. distclean-compile:
  652. -rm -f *.tab.c
  653. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth-client.Po@am__quote@ # am--include-marker
  654. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth-server-many-up.Po@am__quote@ # am--include-marker
  655. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth-server-one.Po@am__quote@ # am--include-marker
  656. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/random-test-client.Po@am__quote@ # am--include-marker
  657. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/random-test-server.Po@am__quote@ # am--include-marker
  658. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unit-test-client.Po@am__quote@ # am--include-marker
  659. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unit-test-server.Po@am__quote@ # am--include-marker
  660. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version.Po@am__quote@ # am--include-marker
  661. $(am__depfiles_remade):
  662. @$(MKDIR_P) $(@D)
  663. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  664. am--depfiles: $(am__depfiles_remade)
  665. .c.o:
  666. @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  667. @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  668. @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
  669. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  670. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  671. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  672. .c.obj:
  673. @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  674. @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  675. @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
  676. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  677. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  678. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  679. .c.lo:
  680. @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
  681. @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  682. @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
  683. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  684. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  685. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  686. mostlyclean-libtool:
  687. -rm -f *.lo
  688. clean-libtool:
  689. -rm -rf .libs _libs
  690. ID: $(am__tagged_files)
  691. $(am__define_uniq_tagged_files); mkid -fID $$unique
  692. tags: tags-am
  693. TAGS: tags
  694. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  695. set x; \
  696. here=`pwd`; \
  697. $(am__define_uniq_tagged_files); \
  698. shift; \
  699. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  700. test -n "$$unique" || unique=$$empty_fix; \
  701. if test $$# -gt 0; then \
  702. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  703. "$$@" $$unique; \
  704. else \
  705. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  706. $$unique; \
  707. fi; \
  708. fi
  709. ctags: ctags-am
  710. CTAGS: ctags
  711. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  712. $(am__define_uniq_tagged_files); \
  713. test -z "$(CTAGS_ARGS)$$unique" \
  714. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  715. $$unique
  716. GTAGS:
  717. here=`$(am__cd) $(top_builddir) && pwd` \
  718. && $(am__cd) $(top_srcdir) \
  719. && gtags -i $(GTAGS_ARGS) "$$here"
  720. cscopelist: cscopelist-am
  721. cscopelist-am: $(am__tagged_files)
  722. list='$(am__tagged_files)'; \
  723. case "$(srcdir)" in \
  724. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  725. *) sdir=$(subdir)/$(srcdir) ;; \
  726. esac; \
  727. for i in $$list; do \
  728. if test -f "$$i"; then \
  729. echo "$(subdir)/$$i"; \
  730. else \
  731. echo "$$sdir/$$i"; \
  732. fi; \
  733. done >> $(top_builddir)/cscope.files
  734. distclean-tags:
  735. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  736. # Recover from deleted '.trs' file; this should ensure that
  737. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  738. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  739. # to avoid problems with "make -n".
  740. .log.trs:
  741. rm -f $< $@
  742. $(MAKE) $(AM_MAKEFLAGS) $<
  743. # Leading 'am--fnord' is there to ensure the list of targets does not
  744. # expand to empty, as could happen e.g. with make check TESTS=''.
  745. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  746. am--force-recheck:
  747. @:
  748. $(TEST_SUITE_LOG): $(TEST_LOGS)
  749. @$(am__set_TESTS_bases); \
  750. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  751. redo_bases=`for i in $$bases; do \
  752. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  753. done`; \
  754. if test -n "$$redo_bases"; then \
  755. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  756. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  757. if $(am__make_dryrun); then :; else \
  758. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  759. fi; \
  760. fi; \
  761. if test -n "$$am__remaking_logs"; then \
  762. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  763. "recursion detected" >&2; \
  764. elif test -n "$$redo_logs"; then \
  765. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  766. fi; \
  767. if $(am__make_dryrun); then :; else \
  768. st=0; \
  769. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  770. for i in $$redo_bases; do \
  771. test -f $$i.trs && test -r $$i.trs \
  772. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  773. test -f $$i.log && test -r $$i.log \
  774. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  775. done; \
  776. test $$st -eq 0 || exit 1; \
  777. fi
  778. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  779. ws='[ ]'; \
  780. results=`for b in $$bases; do echo $$b.trs; done`; \
  781. test -n "$$results" || results=/dev/null; \
  782. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  783. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  784. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  785. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  786. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  787. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  788. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  789. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  790. success=true; \
  791. else \
  792. success=false; \
  793. fi; \
  794. br='==================='; br=$$br$$br$$br$$br; \
  795. result_count () \
  796. { \
  797. if test x"$$1" = x"--maybe-color"; then \
  798. maybe_colorize=yes; \
  799. elif test x"$$1" = x"--no-color"; then \
  800. maybe_colorize=no; \
  801. else \
  802. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  803. fi; \
  804. shift; \
  805. desc=$$1 count=$$2; \
  806. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  807. color_start=$$3 color_end=$$std; \
  808. else \
  809. color_start= color_end=; \
  810. fi; \
  811. echo "$${color_start}# $$desc $$count$${color_end}"; \
  812. }; \
  813. create_testsuite_report () \
  814. { \
  815. result_count $$1 "TOTAL:" $$all "$$brg"; \
  816. result_count $$1 "PASS: " $$pass "$$grn"; \
  817. result_count $$1 "SKIP: " $$skip "$$blu"; \
  818. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  819. result_count $$1 "FAIL: " $$fail "$$red"; \
  820. result_count $$1 "XPASS:" $$xpass "$$red"; \
  821. result_count $$1 "ERROR:" $$error "$$mgn"; \
  822. }; \
  823. { \
  824. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  825. $(am__rst_title); \
  826. create_testsuite_report --no-color; \
  827. echo; \
  828. echo ".. contents:: :depth: 2"; \
  829. echo; \
  830. for b in $$bases; do echo $$b; done \
  831. | $(am__create_global_log); \
  832. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  833. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  834. if $$success; then \
  835. col="$$grn"; \
  836. else \
  837. col="$$red"; \
  838. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  839. fi; \
  840. echo "$${col}$$br$${std}"; \
  841. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  842. echo "$${col}$$br$${std}"; \
  843. create_testsuite_report --maybe-color; \
  844. echo "$$col$$br$$std"; \
  845. if $$success; then :; else \
  846. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  847. if test -n "$(PACKAGE_BUGREPORT)"; then \
  848. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  849. fi; \
  850. echo "$$col$$br$$std"; \
  851. fi; \
  852. $$success || exit 1
  853. check-TESTS:
  854. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  855. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  856. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  857. @set +e; $(am__set_TESTS_bases); \
  858. log_list=`for i in $$bases; do echo $$i.log; done`; \
  859. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  860. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  861. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  862. exit $$?;
  863. recheck: all
  864. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  865. @set +e; $(am__set_TESTS_bases); \
  866. bases=`for i in $$bases; do echo $$i; done \
  867. | $(am__list_recheck_tests)` || exit 1; \
  868. log_list=`for i in $$bases; do echo $$i.log; done`; \
  869. log_list=`echo $$log_list`; \
  870. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  871. am__force_recheck=am--force-recheck \
  872. TEST_LOGS="$$log_list"; \
  873. exit $$?
  874. ./unit-tests.sh.log: ./unit-tests.sh
  875. @p='./unit-tests.sh'; \
  876. b='./unit-tests.sh'; \
  877. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  878. --log-file $$b.log --trs-file $$b.trs \
  879. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  880. "$$tst" $(AM_TESTS_FD_REDIRECT)
  881. .test.log:
  882. @p='$<'; \
  883. $(am__set_b); \
  884. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  885. --log-file $$b.log --trs-file $$b.trs \
  886. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  887. "$$tst" $(AM_TESTS_FD_REDIRECT)
  888. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  889. @am__EXEEXT_TRUE@ @p='$<'; \
  890. @am__EXEEXT_TRUE@ $(am__set_b); \
  891. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  892. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  893. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  894. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  895. distdir: $(BUILT_SOURCES)
  896. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  897. distdir-am: $(DISTFILES)
  898. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  899. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  900. list='$(DISTFILES)'; \
  901. dist_files=`for file in $$list; do echo $$file; done | \
  902. sed -e "s|^$$srcdirstrip/||;t" \
  903. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  904. case $$dist_files in \
  905. */*) $(MKDIR_P) `echo "$$dist_files" | \
  906. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  907. sort -u` ;; \
  908. esac; \
  909. for file in $$dist_files; do \
  910. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  911. if test -d $$d/$$file; then \
  912. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  913. if test -d "$(distdir)/$$file"; then \
  914. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  915. fi; \
  916. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  917. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  918. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  919. fi; \
  920. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  921. else \
  922. test -f "$(distdir)/$$file" \
  923. || cp -p $$d/$$file "$(distdir)/$$file" \
  924. || exit 1; \
  925. fi; \
  926. done
  927. check-am: all-am
  928. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  929. check: check-am
  930. all-am: Makefile $(PROGRAMS) $(SCRIPTS) unit-test.h
  931. installdirs:
  932. install: install-am
  933. install-exec: install-exec-am
  934. install-data: install-data-am
  935. uninstall: uninstall-am
  936. install-am: all-am
  937. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  938. installcheck: installcheck-am
  939. install-strip:
  940. if test -z '$(STRIP)'; then \
  941. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  942. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  943. install; \
  944. else \
  945. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  946. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  947. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  948. fi
  949. mostlyclean-generic:
  950. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  951. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  952. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  953. clean-generic:
  954. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  955. distclean-generic:
  956. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  957. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  958. maintainer-clean-generic:
  959. @echo "This command is intended for maintainers to use"
  960. @echo "it deletes files that may require special tools to rebuild."
  961. clean: clean-am
  962. clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
  963. mostlyclean-am
  964. distclean: distclean-am
  965. -rm -f ./$(DEPDIR)/bandwidth-client.Po
  966. -rm -f ./$(DEPDIR)/bandwidth-server-many-up.Po
  967. -rm -f ./$(DEPDIR)/bandwidth-server-one.Po
  968. -rm -f ./$(DEPDIR)/random-test-client.Po
  969. -rm -f ./$(DEPDIR)/random-test-server.Po
  970. -rm -f ./$(DEPDIR)/unit-test-client.Po
  971. -rm -f ./$(DEPDIR)/unit-test-server.Po
  972. -rm -f ./$(DEPDIR)/version.Po
  973. -rm -f Makefile
  974. distclean-am: clean-am distclean-compile distclean-generic \
  975. distclean-hdr distclean-tags
  976. dvi: dvi-am
  977. dvi-am:
  978. html: html-am
  979. html-am:
  980. info: info-am
  981. info-am:
  982. install-data-am:
  983. install-dvi: install-dvi-am
  984. install-dvi-am:
  985. install-exec-am:
  986. install-html: install-html-am
  987. install-html-am:
  988. install-info: install-info-am
  989. install-info-am:
  990. install-man:
  991. install-pdf: install-pdf-am
  992. install-pdf-am:
  993. install-ps: install-ps-am
  994. install-ps-am:
  995. installcheck-am:
  996. maintainer-clean: maintainer-clean-am
  997. -rm -f ./$(DEPDIR)/bandwidth-client.Po
  998. -rm -f ./$(DEPDIR)/bandwidth-server-many-up.Po
  999. -rm -f ./$(DEPDIR)/bandwidth-server-one.Po
  1000. -rm -f ./$(DEPDIR)/random-test-client.Po
  1001. -rm -f ./$(DEPDIR)/random-test-server.Po
  1002. -rm -f ./$(DEPDIR)/unit-test-client.Po
  1003. -rm -f ./$(DEPDIR)/unit-test-server.Po
  1004. -rm -f ./$(DEPDIR)/version.Po
  1005. -rm -f Makefile
  1006. maintainer-clean-am: distclean-am maintainer-clean-generic
  1007. mostlyclean: mostlyclean-am
  1008. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1009. mostlyclean-libtool
  1010. pdf: pdf-am
  1011. pdf-am:
  1012. ps: ps-am
  1013. ps-am:
  1014. uninstall-am:
  1015. .MAKE: all check-am install-am install-strip
  1016. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1017. check-am clean clean-generic clean-libtool \
  1018. clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
  1019. distclean-compile distclean-generic distclean-hdr \
  1020. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1021. html-am info info-am install install-am install-data \
  1022. install-data-am install-dvi install-dvi-am install-exec \
  1023. install-exec-am install-html install-html-am install-info \
  1024. install-info-am install-man install-pdf install-pdf-am \
  1025. install-ps install-ps-am install-strip installcheck \
  1026. installcheck-am installdirs maintainer-clean \
  1027. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1028. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1029. recheck tags tags-am uninstall uninstall-am
  1030. .PRECIOUS: Makefile
  1031. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1032. # Otherwise a system limit (for SysV at least) may be exceeded.
  1033. .NOEXPORT: